# ARBInternalformatQuery (LWJGL API)
Date: 2015-07-28

## org.lwjgl.opengl
Class ARBInternalformatQuery

    java.lang.Object
      org.lwjgl.opengl.ARBInternalformatQuery

    public final class ARBInternalformatQuery

extends java.lang.Object

Field Summary
`static int` `GL_NUM_SAMPLE_COUNTS` Accepted by the <pname> parameter of GetInternalformativ:

Method Summary
`static int` `glGetInternalformat(int target, int internalformat, int pname)` Overloads glGetInternalformativ.
`static void` `glGetInternalformat(int target, int internalformat, int pname, java.nio.IntBuffer params)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### GL_NUM_SAMPLE_COUNTS

    public static final int GL_NUM_SAMPLE_COUNTS

  Accepted by the <pname> parameter of GetInternalformativ:

  See Also:
    Constant Field Values

Method Detail

### glGetInternalformat

    public static void glGetInternalformat(int target,
                                           int internalformat,
                                           int pname,
                                           java.nio.IntBuffer params)

### glGetInternalformat

    public static int glGetInternalformat(int target,
                                          int internalformat,
                                          int pname)

  Overloads glGetInternalformativ.

Copyright © 2002-2009 lwjgl.org. All Rights Reserved.